Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # ChannelMappingConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename CM> struct boost::gil::ChannelMappingConcept< CM > Channel mapping concept.
    concept ChannelMappingConcept<MPLRandomAccessSequence CM> {
       // An MPL Random Access Sequence, whose elements model MPLIntegralConstant representing a permutation
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp